Package org.opensaml.saml.common

# Class AbstractSAMLObjectBuilder<SAMLObjectType extends SAMLObject>

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<SAMLObjectType>
org.opensaml.saml.common.AbstractSAMLObjectBuilder<SAMLObjectType>

Type Parameters:
  `SAMLObjectType` - the SAML object type built

All Implemented Interfaces:
  `XMLObjectBuilder<SAMLObjectType>`, `SAMLObjectBuilder<SAMLObjectType>`

Direct Known Subclasses:
  `ActionBuilder`, `ActionBuilder`, `ActionNamespaceBuilder`, `AdditionalMetadataLocationBuilder`, `AdviceBuilder`, `AdviceBuilder`, `AffiliateMemberBuilder`, `AffiliationDescriptorBuilder`, `ArtifactBuilder`, `ArtifactResolutionServiceBuilder`, `ArtifactResolveBuilder`, `ArtifactResponseBuilder`, `AssertionArtifactBuilder`, `AssertionBuilder`, `AssertionBuilder`, `AssertionConsumerServiceBuilder`, `AssertionIDRefBuilder`, `AssertionIDReferenceBuilder`, `AssertionIDRequestBuilder`, `AssertionIDRequestServiceBuilder`, `AssertionURIRefBuilder`, `AsynchronousBuilder`, `AttributeAuthorityDescriptorBuilder`, `AttributeBuilder`, `AttributeBuilder`, `AttributeConsumingServiceBuilder`, `AttributeDesignatorBuilder`, `AttributeProfileBuilder`, `AttributeQueryBuilder`, `AttributeQueryBuilder`, `AttributeQueryDescriptorTypeBuilder`, `AttributeServiceBuilder`, `AttributeStatementBuilder`, `AttributeStatementBuilder`, `AttributeValueBuilder`, `AttributeValueBuilder`, `AudienceBuilder`, `AudienceBuilder`, `AudienceRestrictionBuilder`, `AudienceRestrictionConditionBuilder`, `AuthenticatingAuthorityBuilder`, `AuthenticationQueryBuilder`, `AuthenticationStatementBuilder`, `AuthnAuthorityDescriptorBuilder`, `AuthnContextBuilder`, `AuthnContextClassRefBuilder`, `AuthnContextDeclBuilder`, `AuthnContextDeclRefBuilder`, `AuthnQueryBuilder`, `AuthnQueryDescriptorTypeBuilder`, `AuthnQueryServiceBuilder`, `AuthnRequestBuilder`, `AuthnStatementBuilder`, `AuthorityBindingBuilder`, `AuthorizationDecisionQueryBuilder`, `AuthorizationDecisionStatementBuilder`, `AuthzDecisionQueryBuilder`, `AuthzDecisionQueryDescriptorTypeBuilder`, `AuthzDecisionStatementBuilder`, `AuthzServiceBuilder`, `ChannelBindingsBuilder`, `CompanyBuilder`, `ConditionsBuilder`, `ConditionsBuilder`, `ConfirmationMethodBuilder`, `ContactPersonBuilder`, `DelegateBuilder`, `DelegationRestrictionTypeBuilder`, `DescriptionBuilder`, `DigestMethodBuilder`, `DiscoHintsBuilder`, `DiscoveryResponseBuilder`, `DisplayNameBuilder`, `DomainHintBuilder`, `DoNotCacheConditionBuilder`, `EmailAddressBuilder`, `EncryptedAssertionBuilder`, `EncryptedAttributeBuilder`, `EncryptedIDBuilder`, `EncryptionMethodBuilder`, `EncTypeBuilder`, `EntitiesDescriptorBuilder`, `EntityAttributesBuilder`, `EntityDescriptorBuilder`, `EvidenceBuilder`, `EvidenceBuilder`, `ExtensionsBuilder`, `ExtensionsBuilder`, `GeneratedKeyBuilder`, `GeolocationHintBuilder`, `GetCompleteBuilder`, `GivenNameBuilder`, `IDPEntryBuilder`, `IDPListBuilder`, `IDPSSODescriptorBuilder`, `InformationURLBuilder`, `IPHintBuilder`, `IssuerBuilder`, `KeyDescriptorBuilder`, `KeyInfoConfirmationDataTypeBuilder`, `KeywordsBuilder`, `LogoBuilder`, `LogoutRequestBuilder`, `LogoutResponseBuilder`, `ManageNameIDRequestBuilder`, `ManageNameIDResponseBuilder`, `ManageNameIDServiceBuilder`, `NameIDBuilder`, `NameIdentifierBuilder`, `NameIDFormatBuilder`, `NameIDMappingRequestBuilder`, `NameIDMappingResponseBuilder`, `NameIDMappingServiceBuilder`, `NameIDPolicyBuilder`, `NewEncryptedIDBuilder`, `NewIDBuilder`, `OneTimeUseBuilder`, `OrganizationBuilder`, `OrganizationDisplayNameBuilder`, `OrganizationNameBuilder`, `OrganizationURLBuilder`, `PDPDescriptorBuilder`, `PrivacyStatementURLBuilder`, `ProxyRestrictionBuilder`, `PublicationBuilder`, `PublicationInfoBuilder`, `PublicationPathBuilder`, `ReferencedPoliciesTypeImplBuilder`, `RegistrationInfoBuilder`, `RegistrationPolicyBuilder`, `RelayStateBuilder`, `RequestAuthenticatedBuilder`, `RequestBuilder`, `RequestBuilder`, `RequestedAttributeBuilder`, `RequestedAttributesBuilder`, `RequestedAuthnContextBuilder`, `RequesterIDBuilder`, `RequestInitiatorBuilder`, `RespondToBuilder`, `RespondWithBuilder`, `ResponseBuilder`, `ResponseBuilder`, `ResponseBuilder`, `ScopingBuilder`, `ServiceDescriptionBuilder`, `ServiceNameBuilder`, `SessionIndexBuilder`, `SessionKeyBuilder`, `SigningMethodBuilder`, `SingleLogoutServiceBuilder`, `SingleSignOnServiceBuilder`, `SourceIDBuilder`, `SPSSODescriptorBuilder`, `StatusBuilder`, `StatusBuilder`, `StatusCodeBuilder`, `StatusCodeBuilder`, `StatusDetailBuilder`, `StatusDetailBuilder`, `StatusMessageBuilder`, `StatusMessageBuilder`, `SubjectBuilder`, `SubjectBuilder`, `SubjectConfirmationBuilder`, `SubjectConfirmationBuilder`, `SubjectConfirmationBuilder`, `SubjectConfirmationDataBuilder`, `SubjectConfirmationDataBuilder`, `SubjectLocalityBuilder`, `SubjectLocalityBuilder`, `SurNameBuilder`, `TelephoneNumberBuilder`, `TerminateBuilder`, `UIInfoBuilder`, `UsagePolicyBuilder`, `XACMLAuthzDecisionQueryTypeImplBuilder`, `XACMLAuthzDecisionStatementTypeImplBuilder`, `XACMLPolicyQueryTypeImplBuilder`, `XACMLPolicyStatementTypeImplBuilder`

public abstract class AbstractSAMLObjectBuilder<SAMLObjectType extends SAMLObject> extends AbstractXMLObjectBuilder<SAMLObjectType> implements SAMLObjectBuilder<SAMLObjectType>
Base builder for `SAMLObject`s.

## Constructor Summary

Constructors
Constructor
Description
`AbstractSAMLObjectBuilder()`

## Method Summary

Modifier and Type
Method
Description
`abstract SAMLObjectType`
`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### AbstractSAMLObjectBuilder

public AbstractSAMLObjectBuilder()

## Method Details

### buildObject

@Nonnull public abstract SAMLObjectType buildObject()
Builds a SAMLObject using the default name and namespace information provided SAML specifications.

Specified by:
  `buildObject` in interface `SAMLObjectBuilder<SAMLObjectType extends SAMLObject>`
Returns:
  built SAMLObject